<script>
    import TopAppBar, {
      Row,
      Section,
      Title,
      AutoAdjust,
    } from '@smui/top-app-bar';
    import IconButton, { Icon } from '@smui/icon-button';
    let topAppBar;
    import TinyPouchDB from '../TinyPouchDB.svelte';
    let sup = null;
    let test = null;
    let books=[];
    import LayoutGrid, { Cell } from '@smui/layout-grid';
    let i = 0;
    let recherche;
    let selected;
    // initialisation des information sur le genre du livre avec un selectors
    let filtre = [
      { id: 1, text: `roman` },
      { id: 2, text: `aventure` },
      { id: 3, text: `fantesie` },
      { id: 4, text: `scf fic` },
      { id: 5, text: `romantique` },
      { id: 6, text: `biography` },
      { id: 7, text: `horror` },
      { id: 8, text: `bd` },
      { id: 9, text: `educatif` },
      { id: 10, text: `reflexion` },
      { id: 11, text: `isekai` }
    ]
    let filtree;
    // permet de véifier si l'évenement change lors de la récupération de la recherche
    function rechercher(event){
       recherche = event.target.value;
    }

</script>
<TinyPouchDB bind:this={sup} bind:documents={books} initsrc="/books.json" collection="books"></TinyPouchDB>
<TopAppBar variant="fixed">
  <Row>
    <Section>
      <IconButton class="material-icons">menu</IconButton>
      <Title>Fixed</Title>
      <input type="text" placeholder="recherche ?" bind:value={recherche} on:input={rechercher} />
      <IconButton  class="material-icons" aria-label="search" on:click={sup.schearch(recherche)}>search</IconButton>
      <select bind:value={selected} >
        {#each filtre as filtrage}
          <option value={filtrage}>
            {filtrage.text}
          </option>
        {/each}
      </select>
    </Section>
    <Section align="end" toolbar>
      <IconButton class="material-icons" aria-label="loop" on:click={sup.refresh_page()}
        >loop</IconButton
      >
      <IconButton class="material-icons" aria-label="Download"
        >file_download</IconButton
      >
      <IconButton class="material-icons" aria-label="Bookmark this page" 
        >bookmark</IconButton
      >
      <IconButton class="material-icons" aria-label="add"  href="/add" 
        >add</IconButton
      >
    </Section>
  </Row>
</TopAppBar>
<TinyPouchDB bind:this={sup} db={test} bind:documents={books} initsrc="./static/books.json" collection="books"></TinyPouchDB>
<br>
<br>
<br>
<LayoutGrid>
  
    <!-- affichage de tous les livre -->
    {#each books as book}
    <row>
    <section>
      <!-- affichage de tous les livre si la recherche n'est pas vide-->
      {#if recherche != undefined} 
      <!-- affichage de tous les livre si la recherche correspond a l'id-->
        {#if recherche.toLowerCase()==book._id.toLowerCase()}
          <Cell span={1}>
            <img src="data:{book.img.content_type};base64,{book.img.data}" 
                alt="{book.title}">
                <a href="/{book._id}">{book.title}</a>
                
          </Cell>
          {/if}
      <!-- affichage de tous les livre si le filtre correspond a genre-->
      {:else if selected.text == book.type}
        <Cell span={1}>
          
          <button id="{book._id}" class="demo-cell" ><img src="data:{book.img.content_type};base64,{book.img.data}"
              alt="{book.title}"></button>
              <a href="/{book._id}">{book.title}</a>
              
        </Cell>
        
      {:else}
        <Cell span={1}>
            <!-- hyperlien pour regarder les informations-->
          <button id="{book._id}" class="demo-cell" ><img src="data:{book.img.content_type};base64,{book.img.data}"
              alt="{book.title}"></button>
              <a href="/{book._id}">{book.title}</a>
              
        </Cell>
      {/if}
      </section>
    </row>
    {/each}
  </LayoutGrid>
  <style>
    .demo-cell {
      /*height: 60px;*/
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: var(--mdc-theme-secondary, #333);
      color: var(--mdc-theme-on-secondary, #fff);
    }
  </style>